[package]
name = "ygg_driver_serial_8250"
version = "0.1.0"
edition = "2024"

[dependencies]
device-tree.workspace = true
device-api.workspace = true
yggdrasil-abi.workspace = true
libk-mm.workspace = true
libk-util.workspace = true
libk.workspace = true

[target.'cfg(any(target_arch = "x86", target_arch = "x86_64"))'.dependencies]
kernel-arch-x86.workspace = true

[dev-dependencies]
kernel-arch-x86.workspace = true

[lints]
workspace = true
